// CodeWarClientView.h : interface of the CCodeWarClientView class
//


#pragma once


class CCodeWarClientView : public CFormView
{
protected: // create from serialization only
	CCodeWarClientView();
	DECLARE_DYNCREATE(CCodeWarClientView)

public:
	enum{ IDD = IDD_CODEWARCLIENT_FORM };

// Attributes
public:
	CCodeWarClientDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CCodeWarClientView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    UINT m_Port;
    afx_msg void OnBnClickedConnectBtn();
    afx_msg void OnBnClickedForwardBtn();
    afx_msg void OnBnClickedBackBtn();
    afx_msg void OnBnClickedTurnLeftBtn();
    afx_msg void OnBnClickedTurnRightBtn();
    afx_msg void OnTimer(UINT nIDEvent);
    CString m_Status;
    afx_msg void OnBnClickedFightBtn();
    CString m_Life;
    CString m_Food;
    CString m_Attacked;
    void UpdateScreen(void);
    BOOL m_actStupid;
    afx_msg void OnBnClickedActStupidChk();
    afx_msg void OnBnClickedEatBtn();
    afx_msg void OnBnClickedRestBtn();
};

#ifndef _DEBUG  // debug version in CodeWarClientView.cpp
inline CCodeWarClientDoc* CCodeWarClientView::GetDocument() const
   { return reinterpret_cast<CCodeWarClientDoc*>(m_pDocument); }
#endif

